<?php

namespace app\admin\model;

use support\Model;

class SystemPage extends Model
{

    /**
     * 小程序页面路径
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'system_page';
    /**
     * The primary key associated with the table.
     *
     * @var string
     */
    protected $primaryKey = 'page_id';

    public $timestamps = false;

    /**
     * Notes:获取列表
     * @return array
     * User: yym
     * Date: 2022/10/25
     */
    public static function getPageList()
    {
        return static::select('*')
            ->get()
            ->toArray();
    }
}
